#!/bin/sh

name="dc_gui"
title="dc_gui"
package="dc_gui"
version="0.66"
build="1"
noarch="n"
build_info="Standard build."

info="A GTK+ GUI for DCTC."
desc="dc_gui is a graphic user interface for DCTC, written in GTK+.
DCTC stands for Direct Connect Text Client. It allows people
to share their files across the Internet."
category="net/client/p2p"
environment="X11/gtk"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires="dctc"
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,ChangeLog,COPYING,KNOWN_PROBLEMS,INSTALL,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://ac2i.tzo.com/dctc/$name-$version.tar.gz

apply_patch dc_gui-printf-locale.pw.patch
apply_patch dc_gui-longdouble.pw.patch

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

touch po/dc_gui.pot
touch po/stamp-cat-id

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: dc_gui.builder,v $
# Revision 1.13  2002/12/28 15:05:27  swiergot
# - Build 1.
#
# Revision 1.12  2002/12/28 14:52:50  swiergot
# - Touch po/stamp-cat-id rather than po/cat-id-tbl.c as the first one really
#   matters.
#
# Revision 1.11  2002/12/28 14:41:44  swiergot
# - Touch po/cat-id-tbl.c after touching po/dc_gui.pot and before running
#   configure to keep xgettext from generating this file.
#
# Revision 1.10  2002/12/28 14:29:18  swiergot
# - Touch po/dc_gui.pot before running configure to keep xgettext from
#   generating pot file.
#
# Revision 1.9  2002/12/28 07:27:18  swiergot
# - Enabled the longdouble patch and fixed to use proper format conversion.
#
# Revision 1.8  2002/12/27 22:53:25  swiergot
# - Disabled the longdouble patch as it causes problems with xgettext.
#
# Revision 1.7  2002/12/27 22:36:04  swiergot
# - Added a longdouble patch to fix an invalid long double format conversion.
#
# Revision 1.6  2002/12/27 22:10:07  swiergot
# - Removed the cross patch - configure doesn't see a cross compiler.
# - Don't copy out config.log.
# - Added a printf-locale patch not to use printf() with locale format. It
#   looks like GCC doesn't support it properly and configure can't see that.
#
# Revision 1.5  2002/12/27 21:20:08  swiergot
# - Added a patch to find out why configure thinks we have a cross compiler.
# - Copy config.log out to /.
#
# Revision 1.4  2002/12/27 18:12:57  swiergot
# - Removed make_option docdir.
# - Removed empty AUTHORS, NEWS and non-existent README-alpha, THANKS from
#   docs_source.
# - Added ABOUT-NLS and KNOWN_PROBLEMS to docs_source.
#
# Revision 1.3  2002/12/27 17:39:13  swiergot
# - Fixed desc and info.
#
# Revision 1.2  2002/12/27 17:27:52  swiergot
# - Fixed category.
# - Added CVS keywords.
# - Cosmetics.
#
